[RELEASE] OpenSIPS 2.1.1 is now available

classic Classic list List threaded Threaded
9 messages Options
Reply | Threaded
Open this post in threaded view
|

[RELEASE] OpenSIPS 2.1.1 is now available

Bogdan-Andrei Iancu-2
Hello everyone,

Minor version 2.1.1 is now available on branch 2.1. This is a release
bringing multiple and valuable fixes, a result of the continues work of
testing and fixing the revolutionary 2.1 version.

Please update as soon as possible as it worth it ! Download the tarball
with sources from :
     http://opensips.org/pub/opensips/2.1.1/

RPM and DEB packages will be shortly available on the official
repositories, after the nightly builts.

There are hundreds of reports, tens of fixes and maybe several hundreds
of commits - all these are the result of the entire OpenSIPS community -
people testing, reporting and fixes. And I want to thanks to all these
people, to these OpenSIPS'ers !

Enjoy 2.1.1 !!

--
Bogdan-Andrei Iancu
OpenSIPS Founder and Developer
http://www.opensips-solutions.com


_______________________________________________
Devel mailing list
[hidden email]
http://lists.opensips.org/cgi-bin/mailman/listinfo/devel
Reply | Threaded
Open this post in threaded view
|

Re: [RELEASE] OpenSIPS 2.1.1 is now available

Maxim Sobolev
Hi Bogdan,

For some reason 2.1.x is still failing our voiptests travis run with the following error when trying to run in the UDP-only mode:

Aug 22 15:32:00 [10854] ERROR:core:fix_all_socket_lists: listeners found for protocol udp, but no module can handle it

Aug 22 15:32:00 [10854] ERROR:core:main: failed to initialize list addresses

It was told on the mailing list before that it would be fixed before the release:


So I guess that never happened. Could you guys look into it or at least add some kind of errata or relnotes entry?

Thanks!

-Maxim


On Wed, Aug 19, 2015 at 11:03 AM, Bogdan-Andrei Iancu <[hidden email]> wrote:
Hello everyone,

Minor version 2.1.1 is now available on branch 2.1. This is a release bringing multiple and valuable fixes, a result of the continues work of testing and fixing the revolutionary 2.1 version.

Please update as soon as possible as it worth it ! Download the tarball with sources from :
    http://opensips.org/pub/opensips/2.1.1/

RPM and DEB packages will be shortly available on the official repositories, after the nightly builts.

There are hundreds of reports, tens of fixes and maybe several hundreds of commits - all these are the result of the entire OpenSIPS community - people testing, reporting and fixes. And I want to thanks to all these people, to these OpenSIPS'ers !

Enjoy 2.1.1 !!

--
Bogdan-Andrei Iancu
OpenSIPS Founder and Developer
http://www.opensips-solutions.com


_______________________________________________
Devel mailing list
[hidden email]
http://lists.opensips.org/cgi-bin/mailman/listinfo/devel



--
Maksym Sobolyev
Sippy Software, Inc.
Internet Telephony (VoIP) Experts
Tel (Canada): +1-778-783-0474
Tel (Toll-Free): +1-855-747-7779
Fax: +1-866-857-6942
Web: http://www.sippysoft.com
MSN: [hidden email]
Skype: SippySoft

_______________________________________________
Devel mailing list
[hidden email]
http://lists.opensips.org/cgi-bin/mailman/listinfo/devel
Reply | Threaded
Open this post in threaded view
|

Re: [RELEASE] OpenSIPS 2.1.1 is now available

basitengr
In reply to this post by Bogdan-Andrei Iancu-2

Great news!!!

On Aug 19, 2015 11:04 PM, "Bogdan-Andrei Iancu" <[hidden email]> wrote:
Hello everyone,

Minor version 2.1.1 is now available on branch 2.1. This is a release bringing multiple and valuable fixes, a result of the continues work of testing and fixing the revolutionary 2.1 version.

Please update as soon as possible as it worth it ! Download the tarball with sources from :
    http://opensips.org/pub/opensips/2.1.1/

RPM and DEB packages will be shortly available on the official repositories, after the nightly builts.

There are hundreds of reports, tens of fixes and maybe several hundreds of commits - all these are the result of the entire OpenSIPS community - people testing, reporting and fixes. And I want to thanks to all these people, to these OpenSIPS'ers !

Enjoy 2.1.1 !!

--
Bogdan-Andrei Iancu
OpenSIPS Founder and Developer
http://www.opensips-solutions.com


_______________________________________________
Devel mailing list
[hidden email]
http://lists.opensips.org/cgi-bin/mailman/listinfo/devel

_______________________________________________
Devel mailing list
[hidden email]
http://lists.opensips.org/cgi-bin/mailman/listinfo/devel
Reply | Threaded
Open this post in threaded view
|

Re: [RELEASE] OpenSIPS 2.1.1 is now available

Bogdan-Andrei Iancu-2
In reply to this post by Bogdan-Andrei Iancu-2
Hi Maxim,

Do you load the proto_udp module ?

Regards,
Bogdan


Sent from Samsung Mobile


-------- Original message --------
From: Maxim Sobolev
Date:22/08/2015 18:48 (GMT+02:00)
To: OpenSIPS devel mailling list
Cc: [hidden email],[hidden email], [hidden email]
Subject: Re: [OpenSIPS-Devel] [RELEASE] OpenSIPS 2.1.1 is now available

Hi Bogdan,

For some reason 2.1.x is still failing our voiptests travis run with the following error when trying to run in the UDP-only mode:

Aug 22 15:32:00 [10854] ERROR:core:fix_all_socket_lists: listeners found for protocol udp, but no module can handle it

Aug 22 15:32:00 [10854] ERROR:core:main: failed to initialize list addresses

It was told on the mailing list before that it would be fixed before the release:


So I guess that never happened. Could you guys look into it or at least add some kind of errata or relnotes entry?

Thanks!

-Maxim


On Wed, Aug 19, 2015 at 11:03 AM, Bogdan-Andrei Iancu <[hidden email]> wrote:
Hello everyone,

Minor version 2.1.1 is now available on branch 2.1. This is a release bringing multiple and valuable fixes, a result of the continues work of testing and fixing the revolutionary 2.1 version.

Please update as soon as possible as it worth it ! Download the tarball with sources from :
    http://opensips.org/pub/opensips/2.1.1/

RPM and DEB packages will be shortly available on the official repositories, after the nightly builts.

There are hundreds of reports, tens of fixes and maybe several hundreds of commits - all these are the result of the entire OpenSIPS community - people testing, reporting and fixes. And I want to thanks to all these people, to these OpenSIPS'ers !

Enjoy 2.1.1 !!

--
Bogdan-Andrei Iancu
OpenSIPS Founder and Developer
http://www.opensips-solutions.com


_______________________________________________
Devel mailing list
[hidden email]
http://lists.opensips.org/cgi-bin/mailman/listinfo/devel



--
Maksym Sobolyev
Sippy Software, Inc.
Internet Telephony (VoIP) Experts
Tel (Canada): +1-778-783-0474
Tel (Toll-Free): +1-855-747-7779
Fax: +1-866-857-6942
Web: http://www.sippysoft.com
MSN: [hidden email]
Skype: SippySoft

_______________________________________________
Devel mailing list
[hidden email]
http://lists.opensips.org/cgi-bin/mailman/listinfo/devel
Reply | Threaded
Open this post in threaded view
|

Re: [RELEASE] OpenSIPS 2.1.1 is now available

Maxim Sobolev
No, we have not loaded it yet. Is it now always required? As I said my point here is not so much how to fix it, but the fact that Liviu Chircu said that loading such module is just a workaround and the proper fix would be applied before the 2.1 x release goes out. If it was decided that loading module is now the "official" way to go, then it should be reflected in the relnotes IMHO.

-Maxim

On Sat, Aug 22, 2015 at 11:18 AM, Bogdan-Andrei Iancu <[hidden email]> wrote:
Hi Maxim,

Do you load the proto_udp module ?

Regards,
Bogdan


Sent from Samsung Mobile


-------- Original message --------
From: Maxim Sobolev
Date:22/08/2015 18:48 (GMT+02:00)
To: OpenSIPS devel mailling list
Cc: [hidden email],[hidden email], [hidden email]
Subject: Re: [OpenSIPS-Devel] [RELEASE] OpenSIPS 2.1.1 is now available

Hi Bogdan,

For some reason 2.1.x is still failing our voiptests travis run with the following error when trying to run in the UDP-only mode:

Aug 22 15:32:00 [10854] ERROR:core:fix_all_socket_lists: listeners found for protocol udp, but no module can handle it

Aug 22 15:32:00 [10854] ERROR:core:main: failed to initialize list addresses

It was told on the mailing list before that it would be fixed before the release:


So I guess that never happened. Could you guys look into it or at least add some kind of errata or relnotes entry?

Thanks!

-Maxim


On Wed, Aug 19, 2015 at 11:03 AM, Bogdan-Andrei Iancu <[hidden email]> wrote:
Hello everyone,

Minor version 2.1.1 is now available on branch 2.1. This is a release bringing multiple and valuable fixes, a result of the continues work of testing and fixing the revolutionary 2.1 version.

Please update as soon as possible as it worth it ! Download the tarball with sources from :
    http://opensips.org/pub/opensips/2.1.1/

RPM and DEB packages will be shortly available on the official repositories, after the nightly builts.

There are hundreds of reports, tens of fixes and maybe several hundreds of commits - all these are the result of the entire OpenSIPS community - people testing, reporting and fixes. And I want to thanks to all these people, to these OpenSIPS'ers !

Enjoy 2.1.1 !!

--
Bogdan-Andrei Iancu
OpenSIPS Founder and Developer
http://www.opensips-solutions.com


_______________________________________________
Devel mailing list
[hidden email]
http://lists.opensips.org/cgi-bin/mailman/listinfo/devel



--
Maksym Sobolyev
Sippy Software, Inc.
Internet Telephony (VoIP) Experts
Tel (Canada): <a href="tel:%2B1-778-783-0474" value="+17787830474" target="_blank">+1-778-783-0474
Tel (Toll-Free): <a href="tel:%2B1-855-747-7779" value="+18557477779" target="_blank">+1-855-747-7779
Fax: <a href="tel:%2B1-866-857-6942" value="+18668576942" target="_blank">+1-866-857-6942
Web: http://www.sippysoft.com
MSN: [hidden email]
Skype: SippySoft



--
Maksym Sobolyev
Sippy Software, Inc.
Internet Telephony (VoIP) Experts
Tel (Canada): +1-778-783-0474
Tel (Toll-Free): +1-855-747-7779
Fax: +1-866-857-6942
Web: http://www.sippysoft.com
MSN: [hidden email]
Skype: SippySoft

_______________________________________________
Devel mailing list
[hidden email]
http://lists.opensips.org/cgi-bin/mailman/listinfo/devel
Reply | Threaded
Open this post in threaded view
|

Re: [RELEASE] OpenSIPS 2.1.1 is now available

Maxim Sobolev
Another issue with 2.1.x, the -C option (check config) seems to have rotten. It was expected to check basic things about config that does not require setting up full run-time environment, but it is not even checking inter-module dependencies. I.e.:

[sobomax@van01 ~/projects/voiptests]$ ./dist/opensips/opensips -f opensips.cfg -C
Listening on
             udp: 127.0.0.1 [127.0.0.1]:5060
Aliases:
             udp: localhost.my.domain:5060
             udp: localhost:5060

Aug 24 13:51:54 [31495] NOTICE:core:main: config file ok, exiting...
[sobomax@van01 ~/projects/voiptests]$ ./dist/opensips/opensips -f opensips.cfg -D -E
Listening on
             udp: 127.0.0.1 [127.0.0.1]:5060
Aliases:
             udp: localhost.my.domain:5060
             udp: localhost:5060

Aug 24 13:52:02 [31820] WARNING:core:main: no fork mode
Aug 24 13:52:02 [31820] NOTICE:core:main: version: opensips 2.1.1 (x86_64/freebsd)
Aug 24 13:52:02 [31820] WARNING:core:solve_module_dependencies: module rtpproxy depends on module dialog, but it was not loaded!
Aug 24 13:52:02 [31820] ERROR:core:init_modules: failed to solve module dependencies
Aug 24 13:52:02 [31820] ERROR:core:main: error while initializing modules

I've opened a ticket on that (#616).

On Mon, Aug 24, 2015 at 12:02 PM, Maxim Sobolev <[hidden email]> wrote:
No, we have not loaded it yet. Is it now always required? As I said my point here is not so much how to fix it, but the fact that Liviu Chircu said that loading such module is just a workaround and the proper fix would be applied before the 2.1 x release goes out. If it was decided that loading module is now the "official" way to go, then it should be reflected in the relnotes IMHO.

-Maxim

On Sat, Aug 22, 2015 at 11:18 AM, Bogdan-Andrei Iancu <[hidden email]> wrote:
Hi Maxim,

Do you load the proto_udp module ?

Regards,
Bogdan


Sent from Samsung Mobile


-------- Original message --------
From: Maxim Sobolev
Date:22/08/2015 18:48 (GMT+02:00)
To: OpenSIPS devel mailling list
Cc: [hidden email],[hidden email], [hidden email]
Subject: Re: [OpenSIPS-Devel] [RELEASE] OpenSIPS 2.1.1 is now available

Hi Bogdan,

For some reason 2.1.x is still failing our voiptests travis run with the following error when trying to run in the UDP-only mode:

Aug 22 15:32:00 [10854] ERROR:core:fix_all_socket_lists: listeners found for protocol udp, but no module can handle it

Aug 22 15:32:00 [10854] ERROR:core:main: failed to initialize list addresses

It was told on the mailing list before that it would be fixed before the release:


So I guess that never happened. Could you guys look into it or at least add some kind of errata or relnotes entry?

Thanks!

-Maxim


On Wed, Aug 19, 2015 at 11:03 AM, Bogdan-Andrei Iancu <[hidden email]> wrote:
Hello everyone,

Minor version 2.1.1 is now available on branch 2.1. This is a release bringing multiple and valuable fixes, a result of the continues work of testing and fixing the revolutionary 2.1 version.

Please update as soon as possible as it worth it ! Download the tarball with sources from :
    http://opensips.org/pub/opensips/2.1.1/

RPM and DEB packages will be shortly available on the official repositories, after the nightly builts.

There are hundreds of reports, tens of fixes and maybe several hundreds of commits - all these are the result of the entire OpenSIPS community - people testing, reporting and fixes. And I want to thanks to all these people, to these OpenSIPS'ers !

Enjoy 2.1.1 !!

--
Bogdan-Andrei Iancu
OpenSIPS Founder and Developer
http://www.opensips-solutions.com


_______________________________________________
Devel mailing list
[hidden email]
http://lists.opensips.org/cgi-bin/mailman/listinfo/devel



--
Maksym Sobolyev
Sippy Software, Inc.
Internet Telephony (VoIP) Experts
Tel (Canada): <a href="tel:%2B1-778-783-0474" value="+17787830474" target="_blank">+1-778-783-0474
Tel (Toll-Free): <a href="tel:%2B1-855-747-7779" value="+18557477779" target="_blank">+1-855-747-7779
Fax: <a href="tel:%2B1-866-857-6942" value="+18668576942" target="_blank">+1-866-857-6942
Web: http://www.sippysoft.com
MSN: [hidden email]
Skype: SippySoft



--
Maksym Sobolyev
Sippy Software, Inc.
Internet Telephony (VoIP) Experts
Tel (Canada): <a href="tel:%2B1-778-783-0474" value="+17787830474" target="_blank">+1-778-783-0474
Tel (Toll-Free): <a href="tel:%2B1-855-747-7779" value="+18557477779" target="_blank">+1-855-747-7779
Fax: <a href="tel:%2B1-866-857-6942" value="+18668576942" target="_blank">+1-866-857-6942
Web: http://www.sippysoft.com
MSN: [hidden email]
Skype: SippySoft



--
Maksym Sobolyev
Sippy Software, Inc.
Internet Telephony (VoIP) Experts
Tel (Canada): +1-778-783-0474
Tel (Toll-Free): +1-855-747-7779
Fax: +1-866-857-6942
Web: http://www.sippysoft.com
MSN: [hidden email]
Skype: SippySoft

_______________________________________________
Devel mailing list
[hidden email]
http://lists.opensips.org/cgi-bin/mailman/listinfo/devel
Reply | Threaded
Open this post in threaded view
|

Re: [RELEASE] OpenSIPS 2.1.1 is now available

seanchann
In reply to this post by Bogdan-Andrei Iancu-2
Good News!!!!
Reply | Threaded
Open this post in threaded view
|

Re: [RELEASE] OpenSIPS 2.1.1 is now available

Bogdan-Andrei Iancu-2
In reply to this post by Maxim Sobolev
Hi Maxim,

During the 2.1 devel there was an attempt to have an auto load of the proto modules (modules providing proto implementations for SIP, like UDP, TCP, TLS, SCTP, WS, etc). This attempt failed due multiple reasons like some inconsistency in the syntax of config file (dependencies between "listen", "mpath" , "loadmodule") or like user experience.

Before releasing the first 2.1, the decision was made to explicitly load the proto modules as any other opensips module.

There is nothing to state in the release notes as it was never officially states the other way around. It was an experiment with no happy end.

Best regards,
Bogdan-Andrei Iancu
OpenSIPS Founder and Developer
http://www.opensips-solutions.com
On 24.08.2015 22:02, Maxim Sobolev wrote:
No, we have not loaded it yet. Is it now always required? As I said my point here is not so much how to fix it, but the fact that Liviu Chircu said that loading such module is just a workaround and the proper fix would be applied before the 2.1 x release goes out. If it was decided that loading module is now the "official" way to go, then it should be reflected in the relnotes IMHO.

-Maxim

On Sat, Aug 22, 2015 at 11:18 AM, Bogdan-Andrei Iancu <[hidden email]> wrote:
Hi Maxim,

Do you load the proto_udp module ?

Regards,
Bogdan


Sent from Samsung Mobile


-------- Original message --------
From: Maxim Sobolev
Date:22/08/2015 18:48 (GMT+02:00)
To: OpenSIPS devel mailling list
Cc: [hidden email],[hidden email], [hidden email]
Subject: Re: [OpenSIPS-Devel] [RELEASE] OpenSIPS 2.1.1 is now available

Hi Bogdan,

For some reason 2.1.x is still failing our voiptests travis run with the following error when trying to run in the UDP-only mode:

Aug 22 15:32:00 [10854] ERROR:core:fix_all_socket_lists: listeners found for protocol udp, but no module can handle it

Aug 22 15:32:00 [10854] ERROR:core:main: failed to initialize list addresses

It was told on the mailing list before that it would be fixed before the release:


So I guess that never happened. Could you guys look into it or at least add some kind of errata or relnotes entry?

Thanks!

-Maxim


On Wed, Aug 19, 2015 at 11:03 AM, Bogdan-Andrei Iancu <[hidden email]> wrote:
Hello everyone,

Minor version 2.1.1 is now available on branch 2.1. This is a release bringing multiple and valuable fixes, a result of the continues work of testing and fixing the revolutionary 2.1 version.

Please update as soon as possible as it worth it ! Download the tarball with sources from :
    http://opensips.org/pub/opensips/2.1.1/

RPM and DEB packages will be shortly available on the official repositories, after the nightly builts.

There are hundreds of reports, tens of fixes and maybe several hundreds of commits - all these are the result of the entire OpenSIPS community - people testing, reporting and fixes. And I want to thanks to all these people, to these OpenSIPS'ers !

Enjoy 2.1.1 !!

--
Bogdan-Andrei Iancu
OpenSIPS Founder and Developer
http://www.opensips-solutions.com


_______________________________________________
Devel mailing list
[hidden email]
http://lists.opensips.org/cgi-bin/mailman/listinfo/devel



--
Maksym Sobolyev
Sippy Software, Inc.
Internet Telephony (VoIP) Experts
Tel (Canada): <a moz-do-not-send="true" href="tel:%2B1-778-783-0474" value="+17787830474" target="_blank">+1-778-783-0474
Tel (Toll-Free): <a moz-do-not-send="true" href="tel:%2B1-855-747-7779" value="+18557477779" target="_blank">+1-855-747-7779
Fax: <a moz-do-not-send="true" href="tel:%2B1-866-857-6942" value="+18668576942" target="_blank">+1-866-857-6942
Web: http://www.sippysoft.com
MSN: [hidden email]
Skype: SippySoft



--
Maksym Sobolyev
Sippy Software, Inc.
Internet Telephony (VoIP) Experts
Tel (Canada): +1-778-783-0474
Tel (Toll-Free): +1-855-747-7779
Fax: +1-866-857-6942
Web: http://www.sippysoft.com
MSN: [hidden email]
Skype: SippySoft


_______________________________________________
Devel mailing list
[hidden email]
http://lists.opensips.org/cgi-bin/mailman/listinfo/devel
Reply | Threaded
Open this post in threaded view
|

Re: [RELEASE] OpenSIPS 2.1.1 is now available

Bogdan-Andrei Iancu-2
In reply to this post by Maxim Sobolev
Hi Maxim,

The inter-module dependencies is something new added in 2.1 and indeed, the check is misplaced in relation to the "-c/C" checks. It is not a regression, but rather an bug in the new code.
Thank you for reporting and opening the ticket, Liviu will have it fixed today.

Best regards,
Bogdan-Andrei Iancu
OpenSIPS Founder and Developer
http://www.opensips-solutions.com
On 25.08.2015 01:47, Maxim Sobolev wrote:
Another issue with 2.1.x, the -C option (check config) seems to have rotten. It was expected to check basic things about config that does not require setting up full run-time environment, but it is not even checking inter-module dependencies. I.e.:

[sobomax@van01 ~/projects/voiptests]$ ./dist/opensips/opensips -f opensips.cfg -C
Listening on
             udp: 127.0.0.1 [127.0.0.1]:5060
Aliases:
             udp: localhost.my.domain:5060
             udp: localhost:5060

Aug 24 13:51:54 [31495] NOTICE:core:main: config file ok, exiting...
[sobomax@van01 ~/projects/voiptests]$ ./dist/opensips/opensips -f opensips.cfg -D -E
Listening on
             udp: 127.0.0.1 [127.0.0.1]:5060
Aliases:
             udp: localhost.my.domain:5060
             udp: localhost:5060

Aug 24 13:52:02 [31820] WARNING:core:main: no fork mode
Aug 24 13:52:02 [31820] NOTICE:core:main: version: opensips 2.1.1 (x86_64/freebsd)
Aug 24 13:52:02 [31820] WARNING:core:solve_module_dependencies: module rtpproxy depends on module dialog, but it was not loaded!
Aug 24 13:52:02 [31820] ERROR:core:init_modules: failed to solve module dependencies
Aug 24 13:52:02 [31820] ERROR:core:main: error while initializing modules

I've opened a ticket on that (#616).

On Mon, Aug 24, 2015 at 12:02 PM, Maxim Sobolev <[hidden email]> wrote:
No, we have not loaded it yet. Is it now always required? As I said my point here is not so much how to fix it, but the fact that Liviu Chircu said that loading such module is just a workaround and the proper fix would be applied before the 2.1 x release goes out. If it was decided that loading module is now the "official" way to go, then it should be reflected in the relnotes IMHO.

-Maxim

On Sat, Aug 22, 2015 at 11:18 AM, Bogdan-Andrei Iancu <[hidden email]> wrote:
Hi Maxim,

Do you load the proto_udp module ?

Regards,
Bogdan


Sent from Samsung Mobile


-------- Original message --------
From: Maxim Sobolev
Date:22/08/2015 18:48 (GMT+02:00)
To: OpenSIPS devel mailling list
Cc: [hidden email],[hidden email], [hidden email]
Subject: Re: [OpenSIPS-Devel] [RELEASE] OpenSIPS 2.1.1 is now available

Hi Bogdan,

For some reason 2.1.x is still failing our voiptests travis run with the following error when trying to run in the UDP-only mode:

Aug 22 15:32:00 [10854] ERROR:core:fix_all_socket_lists: listeners found for protocol udp, but no module can handle it

Aug 22 15:32:00 [10854] ERROR:core:main: failed to initialize list addresses

It was told on the mailing list before that it would be fixed before the release:


So I guess that never happened. Could you guys look into it or at least add some kind of errata or relnotes entry?

Thanks!

-Maxim


On Wed, Aug 19, 2015 at 11:03 AM, Bogdan-Andrei Iancu <[hidden email]> wrote:
Hello everyone,

Minor version 2.1.1 is now available on branch 2.1. This is a release bringing multiple and valuable fixes, a result of the continues work of testing and fixing the revolutionary 2.1 version.

Please update as soon as possible as it worth it ! Download the tarball with sources from :
    http://opensips.org/pub/opensips/2.1.1/

RPM and DEB packages will be shortly available on the official repositories, after the nightly builts.

There are hundreds of reports, tens of fixes and maybe several hundreds of commits - all these are the result of the entire OpenSIPS community - people testing, reporting and fixes. And I want to thanks to all these people, to these OpenSIPS'ers !

Enjoy 2.1.1 !!

--
Bogdan-Andrei Iancu
OpenSIPS Founder and Developer
http://www.opensips-solutions.com


_______________________________________________
Devel mailing list
[hidden email]
http://lists.opensips.org/cgi-bin/mailman/listinfo/devel



--
Maksym Sobolyev
Sippy Software, Inc.
Internet Telephony (VoIP) Experts
Tel (Canada): <a moz-do-not-send="true" href="tel:%2B1-778-783-0474" value="+17787830474" target="_blank">+1-778-783-0474
Tel (Toll-Free): <a moz-do-not-send="true" href="tel:%2B1-855-747-7779" value="+18557477779" target="_blank">+1-855-747-7779
Fax: <a moz-do-not-send="true" href="tel:%2B1-866-857-6942" value="+18668576942" target="_blank">+1-866-857-6942
Web: http://www.sippysoft.com
MSN: [hidden email]
Skype: SippySoft



--
Maksym Sobolyev
Sippy Software, Inc.
Internet Telephony (VoIP) Experts
Tel (Canada): <a moz-do-not-send="true" href="tel:%2B1-778-783-0474" value="+17787830474" target="_blank">+1-778-783-0474
Tel (Toll-Free): <a moz-do-not-send="true" href="tel:%2B1-855-747-7779" value="+18557477779" target="_blank">+1-855-747-7779
Fax: <a moz-do-not-send="true" href="tel:%2B1-866-857-6942" value="+18668576942" target="_blank">+1-866-857-6942
Web: http://www.sippysoft.com
MSN: [hidden email]
Skype: SippySoft



--
Maksym Sobolyev
Sippy Software, Inc.
Internet Telephony (VoIP) Experts
Tel (Canada): +1-778-783-0474
Tel (Toll-Free): +1-855-747-7779
Fax: +1-866-857-6942
Web: http://www.sippysoft.com
MSN: [hidden email]
Skype: SippySoft


_______________________________________________
Devel mailing list
[hidden email]
http://lists.opensips.org/cgi-bin/mailman/listinfo/devel